package com.chelvc.cloud.vehicle.client.param;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 问题配置数据模型
 *
 * @author liude
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class HelpPagingParam implements Serializable {

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;
    /**
     * 标题
     */
    private String title;

}
