package com.chelvc.cloud.vehicle.server.controller;


import com.chelvc.cloud.vehicle.client.dto.OmsOrderReturnApplyDTO;
import com.chelvc.cloud.vehicle.server.service.OmsOrderReturnApplyService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class OmsOrderReturnApplyController {

    private final OmsOrderReturnApplyService omsOrderReturnApplyService;

    @GetMapping("/omsOrderReturnApply/getOrderReturnApplyInfo")
    public OmsOrderReturnApplyDTO getOrderReturnApplyInfo(@RequestParam("id") Long id) {
        return omsOrderReturnApplyService.getOrderReturnApplyInfo(id);
    }
}
