package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.client.dto.GoodsAssessDto;
import com.chelvc.cloud.vehicle.client.param.AssessModifyParam;
import com.chelvc.cloud.vehicle.client.param.AssessQueryParam;
import com.chelvc.cloud.vehicle.client.param.AssessRecoverModifyParam;
import com.chelvc.cloud.vehicle.server.entity.GoodsAssess;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author valley
 * @date 2024/02/03 19:17
 **/
public interface AssessService extends IService<GoodsAssess> {
    Long add(AssessModifyParam param);

    List<GoodsAssessDto> query(AssessQueryParam param);

    Long addAssessRecover(AssessRecoverModifyParam param);

    void computeAvgScore();

    Map<String, BigDecimal> getGoodsScore(Long goodsId);
}
